Skip to content
GET

Get refund details

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/refunds/{refund_id}

Get refund.

Parameters2 fields
  • order_idstring · uuidrequiredin path

    Order id

  • refund_idstringrequiredin path

    Refund id

200
Response26 fields

Refund found.

  • descriptionstringoptional

    Description of the refund shown to the customer. Max length is 255 characters.

  • order_lines[]array<object>optional

    Order lines for the refund shown to the customer. Optional but increases the customer experience. Maximum 1000 order lines.

    20 fields in order_lines
    • image_urlstringoptional

      URL to an image that can be embedded in communications between Klarna and the customer.

    • merchant_datastringoptional

      Data about the order line.

    • namestringrequired

      Descriptive item name.

    • product_identifiersobjectoptional

      product_identifiers

      6 fields in product_identifiers
      • brandstringoptional

        The product’s brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel

      • category_pathstringoptional

        The product’s category path as used in the merchant’s webshop. Include the full and most detailed category and separate the segments with ’ > ’. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops

      • colorstringoptional

        Color to be shown to the end customer (max 64 characters). Example: Denim blue

      • global_trade_item_numberstringoptional

        The product’s Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167

      • manufacturer_part_numberstringoptional

        The product’s Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH

      • sizestringoptional

        Size to be shown to the end customer (max 64 characters). Example: 4

    • product_urlstringoptional

      URL to the product that can be used in communications between Klarna and the customer.

    • quantityinteger · int64required

      Item quantity.

    • quantity_unitstringoptional

      Unit used to describe the quantity.

    • referencestringoptional

      Article number, SKU, or similar identifier on the product variant level.

    • tax_rateinteger · int32optional

      The tax rate in percent with two implicit decimals.

    • total_amountinteger · int64required

      Total amount including tax and discounts (quantity * unit_price - total_discount_amount).

    • total_discount_amountinteger · int64optional

      The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000

    • total_tax_amountinteger · int64optional

      The total tax amount in minor units.

    • typestringoptional

      Order line type.

      • physical
      • discount
      • shipping_fee
      • sales_tax
      • store_credit
      • gift_card
      • digital
      • surcharge
      • return_fee
      • package
    • unit_priceinteger · int64required

      Unit price including tax without applying discounts in minor units.

  • referencestringoptional

    Internal reference to the refund that is also included in the settlement files. Max length is 255 characters.

  • refund_idstringoptional

    The refund id. Generated when the refund is created.

  • refunded_amountinteger · int64optional

    Refunded amount in minor units.

  • refunded_atstring · date-timeoptional

    The time of the refund. ISO 8601.

404
Response3 fields

Order or refund not found.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

409
Response0 fields

Conflict

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.